 
/* Basic Discount/Save Banner */
.campaignCallout.campaignCallout--flash {
    background: #e8eded;
    display: flex;
    align-items: center;
    width: auto;
    padding: 8px 8px;
    flex-direction: column;
    border-radius: 4px;
    overflow: hidden;
    color: var(--text-secondary);
    font-family: FuturaBT;
    font-size: 13px;
    font-weight: 700;
    line-height: 15px;
    gap: 8px;
}

.campaignCallout.campaignCallout--flash .sale-tag {
    display: flex;
    align-items: center;
    color: #333;
    font-family: var(--font-family-title);
    font-size: 15px;
    font-style: normal;
    font-weight: 900;
    line-height: 80%; /* 12px */
    text-transform: uppercase;
    gap: 8px;
}
.campaignCallout.campaignCallout--flash .save-text {
    font-size: 14px;
    font-weight: 700;
    line-height: 16px;
    font-family: var(--font-family-title);
}

.campaignCallout.campaignCallout--flash .sale-tag i {
    color: var(--promo-red-light);
    font-size: 16px;
}

.campaignCallout.campaignCallout--flash wrap {
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
}


/* Early Bird - Double Points Feb 2026 */

body.is-early-bird {
    #vue_additional_options .campaignCallout {
        margin-top: 24px;
    }
    .campaignCallout--doublePoints .campaignCallout__heading {
        border-radius: var(--radius-sm, 4px);
        background: #E8EDED;;
        display: flex;
        padding: 8px;
        justify-content: center;
        align-items: center;
        gap: 4px;
        align-self: stretch;
        margin-bottom: 4px;
        color:#262626;
        font-family: var(--font-family-headings, FuturaBT);
        font-size: 14px;
        font-style: normal;
        font-weight: 400;
        line-height: 80%;
        letter-spacing: 0.32px;
        font-weight: 900;
        white-space: nowrap;
    }

    .campaignCallout--doublePoints .campaignCallout__body {
        color: var(--text-tertiary);
        text-align: center;
        font-family: var(--font-family-body, Lato);
        font-size: 14px;
        font-style: normal;
        font-weight: 700;
        line-height: 20px; 

    }

    .campaignCallout--doublePoints .campaignCallout__subtext {
        display: block;
        color: var(--text-quaternary);
        text-align: center;
        font-family: var(--font-family-body, Lato);
        font-size: 14px;
        font-weight: 400;
        line-height: 20px;  
    }

    .campaignCallout--doublePoints:not(.campaignCallout--dateBanner) .for-date, .campaignCallout--doublePoints.campaignCallout--dateBanner .not-for-date {
        display: none;
    }
    .campaignCallout--doublePoints .campaignCallout__heading .campaignCallout__headingSubtext {
            color: var(--text-secondary);
            font-family: Lato;
            font-size: 12px;
            font-style: normal;
            font-weight: 400;
            line-height: normal;
    }

    .campaignCallout--doublePoints.campaignCallout--dateBanner .campaignCallout__heading .campaignCallout__headingSubtext strong {
        font-size: 12px;
        font-weight: 700;
    }

    #cash-container .qffPointsPay__pointsEarnedContainer:not(>strong) {
        color: var(--text-quaternary);
        text-align: center;
        font-family: Lato;
        font-size: 10px;
        font-weight: 500;
    }
    #cash-container .dealPrice__value {
        margin-top: 0px;
    }

    .campaignCallout__monthBadge {
        display: inline-flex;
        padding: var(--space-base, 4px) 8px var(--space-base, 4px) 6px;
        align-items: center;
        gap: 2px;
        border-radius: var(--radius-full, 9999px);
        background: #E8EDED;
        margin-left: 8px;
        color: var(--text-secondary);
        font-family: var(--font-family-body, Lato);
        font-size: 12px;
        font-weight: 700;
        line-height: 16px; /* 133.333% */
        letter-spacing: 0.2px;
    }
    .campaignCallout__monthBadge img {
        height: 12px;
    }

    .dealPoints__doublePointsBannerText {
        color: var(--text-tertiary);
        font-family: Lato;
        font-size: 12px;
        font-weight: 700;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 4px;
    }

    .dealPoints__doublePointsBannerText img {
        margin-right: 5px;
        height: 20px;
    }

    .dealPoints__doublePointsDisclaimerText {
        color: var(--text-quaternary);
        text-align: center;
        font-family: Lato;
        font-size: 11px;
        font-weight: 400;
    }

    .marketingCampaign__slot:has(.campaignCallout--doublePoints) +.qantasPointsEarn__container {
        display: none;
    }

    .dealPrice__cashLeft,.dealPrice__cashRight {
        padding-left: 6px;
        padding-right: 6px;
    }

    .redeemVouchers__QFFSubtext {
        margin-top: 8px;
        color: var(--text-quaternary);
        font-family: var(--font-family-body, Lato);
        font-size: 12px;
        font-weight: 400;
        line-height: 16px; /* 133.333% */
        letter-spacing: 0.2px;
    }
    .cruiseOnly__dropdown.selected + .campaignCallout--doublePoints {
        display: none;
    }

}

/* End Double Points */
